/**
 * Generate a new UUID.
 * @module lib.uuid.uuid
 * @author Taka Okunishi
 *
 */
var s4 = require('./s4');
module.exports = function () {
    return [s4() + s4(), s4(), s4(), s4(), s4() + s4() + s4()].join('-');
};